function [skeleton p stat flag Stats] = mmpcnonsymopt(x, numLevels, ord, j, skeleton, p, stat, flag, Stats, Param)
%MMPCNONSYMOPT Optimized version of MMPCNONSYM
%   [...] = MMPCNONSYMOPT(X, NUMLEVELS, ORD, J, SKELETON, P, STAT, FLAG, STATS, PARAM) 
%   is the non- symmetry corrected version of 
%   [...] = MMPCOPT(X, NUMLEVELS, ORD, J, PARAM). Input SKELETON, P, STAT,
%   FLAG and STATS are the skeleton, maximal p-value matrix, statistic
%   matrix, flag vector and statistics structure respectively from previous
%   applications of MMPCNONSYMOPT to columns of X.
%
%   See also ORG.MENSXMACHINA.PGM.MMPCOPT, 
%   ORG.MENSXMACHINA.PGM.MMPCSKELETONOPT, ORG.MENSXMACHINA.PGM.MMPCNONSYM

%   Copyright 2010-2011 Mens X Machina
%
%   This file is part of Mens X Machina Probabilistic Graphical Model
%   Toolbox.
%
%   Mens X Machina Probabilistic Graphical Model Toolbox is free software:
%   you can redistribute it and/or modify it under the terms of the GNU 
%   General Public License as published by the Free Software Foundation,
%   either version 3 of the License, or (at your option) any later version.
%
%   Mens X Machina Probabilistic Graphical Model Toolbox is distributed in
%   the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
%   the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
%   PURPOSE. See the GNU General Public License for more details.
%
%   You should have received a copy of the GNU General Public License along
%   with Mens X Machina Probabilistic Graphical Model Toolbox. If not, see
%   <http://www.gnu.org/licenses/>.

persistent InstParam;

if isempty(InstParam)
    InstParam = mmpcgllinstparam();
end

% call GLL-PC-nonsym
[skeleton p stat flag Stats] = gllpcnonsymopt(x, numLevels, ord, j, skeleton, p, stat, flag, Stats, InstParam, Param);

end