function [skeleton p stat flag Stats] = gllpc(InstParam, varargin)
%GLLPC GLL-PC

import org.mensxmachina.commons.*;
import org.mensxmachina.commons.stats.*;

if isa(varargin{1}, 'dataset')
    
    var = varargin{2};
    
    % check VAR
    assert(ischar(var) || (isscalar(var) && ispositiveinteger(var)));
    
    % find index of the variable
    j = datasetind(varargin{1}, var);
    
    % parse standard parameters
    [x numLevels ord Param] = gllparamparse('ORG.MENSXMACHINA.PGM.GLLPC', varargin{1}, varargin{3:end});
    
else
    
    % get index of the variable
    j = varargin{4};
    
    % check J
    assert(isscalar(j) && ispositiveinteger(j));
    
    % parse standard parameters
    [x numLevels ord Param] = gllparamparse('ORG.MENSXMACHINA.PGM.GLLPC', varargin{1:3}, varargin{5:end});
    
end

% call optimized version
[skeleton p stat flag Stats] = gllpcopt(x, numLevels, ord, j, InstParam, Param);

end