function [skeleton p stat flag Stats] = gllpcnonsym(InstParam, varargin)
%GLLPCNONSYM GLL-PC-nonsym

% start copy-paste from GLLPC (and replace GLLPC with GLLPCNONSYM)

import org.mensxmachina.commons.*;
import org.mensxmachina.commons.stats.*;

if isa(varargin{1}, 'dataset')
    
    var = varargin{2};
    
    % check VAR
    assert(ischar(var) || (isscalar(var) && ispositiveinteger(var)));
    
    % find index of the variable
    j = datasetind(varargin{1}, var);
    
    % parse standard parameters
    [x numLevels ord Param] = gllparamparse('ORG.MENSXMACHINA.PGM.GLLPCNONSYM', varargin{1}, varargin{3:end});
    
else
    
    % get index of the variable
    j = varargin{4};
    
    % check J
    assert(isscalar(j) && ispositiveinteger(j));
    
    % parse standard parameters
    [x numLevels ord Param] = gllparamparse('ORG.MENSXMACHINA.PGM.GLLPCNONSYM', varargin{1:3}, varargin{5:end});
    
end

% end copy-paste from GLLPC

% initiliaze GLL output
[skeleton p stat flag Stats] = glloutputinit(x, numLevels, ord, Param);

% call optimized version
[skeleton p stat flag Stats] = gllpcnonsymopt(x, numLevels, ord, j, skeleton, p, stat, flag, Stats, InstParam, Param);

end