function pcmp = pcmp(p1, stat1, p2, stat2)
%PCMP Compare p-values

%   Copyright 2010-2011 Mens X Machina
%
%   This file is part of Mens X Machina Probabilistic Graphical Model
%   Toolbox.
%
%   Mens X Machina Probabilistic Graphical Model Toolbox is free software:
%   you can redistribute it and/or modify it under the terms of the GNU 
%   General Public License as published by the Free Software Foundation,
%   either version 3 of the License, or (at your option) any later version.
%
%   Mens X Machina Probabilistic Graphical Model Toolbox is distributed in
%   the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
%   the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
%   PURPOSE. See the GNU General Public License for more details.
%
%   You should have received a copy of the GNU General Public License along
%   with Mens X Machina Probabilistic Graphical Model Toolbox. If not, see
%   <http://www.gnu.org/licenses/>.

% returns -1, 0, or 1 if the first p-value
% is less than, equal to, or greater than the second one.

if p1 < p2
    pcmp = -1; 
elseif p1 > p2
    pcmp = 1; 
else
    
    if abs(stat1) > abs(stat2)
        pcmp = -1;
    elseif abs(stat1) < abs(stat2)
        pcmp = 1;
    else
        pcmp = 0;
    end
    
end
            
end