classdef TestSkeletonRlzdPwr < TestCase
%TESTSKELETONRLZDPWR SKELETONRLZDPWR test cases

properties
    TrueSkeleton
    Skeleton
    P
    TrueRealizedPower
end

methods

function obj = TestSkeletonRlzdPwr(name)

obj = obj@TestCase(name);

obj.TrueSkeleton = [ ...
        0 1 1 0 ;
        1 0 0 1 ;
        1 0 0 1 ;
        0 1 1 0 ;
    ];
     
obj.TrueSkeleton = sparse(obj.TrueSkeleton);

obj.Skeleton = [ ...
        0 0 1 0 ;
        0 0 1 1 ;
        1 1 0 1 ;
        0 1 1 0 ;
    ];
     
obj.Skeleton = sparse(obj.Skeleton);

obj.P = [ ...
           1    0.06    0.01	0.06 ;
        0.06       1    0.03	0.02 ;
        0.01    0.03   	   1    0.04 ;
        0.06    0.02	0.04       1 ;
    ];

obj.TrueRealizedPower = [ ...
        1       1       1/4     1   ;
        1       1       2/4     2/4 ;
        1/4     2/4     1       3/4 ;
        1       2/4     3/4     1 ;
    ];

obj.TrueRealizedPower = obj.TrueRealizedPower;

end

function testtoy(obj)
   
import org.mensxmachina.commons.graph.*;    
import org.mensxmachina.commons.stats.*;
import org.mensxmachina.pgm.*;

nonSkeletonInd = find(~obj.Skeleton);

p = obj.P;
p(nonSkeletonInd) = 0;
p = sparse(p);

trueRealizedPower = obj.TrueRealizedPower;
trueRealizedPower(nonSkeletonInd) = 0;
trueRealizedPower = sparse(trueRealizedPower);

realizedPower = skeletonrlzdpwr(obj.Skeleton, p, obj.TrueSkeleton);

assertEqual(realizedPower, trueRealizedPower);

% test thresholds
   
% convert skeleton matrix to vector
skeleton_vector = org.mensxmachina.commons.graph.skeleton2vector(obj.Skeleton);

% convert maximum p-value matrix to vector
p_vector = org.mensxmachina.commons.graph.skeleton2vector(p);
realizedPower_vector = org.mensxmachina.commons.graph.skeleton2vector(realizedPower);

% get edge linear indices in skeleton vector
skeleton_vector_ind = find(skeleton_vector);

% keep only maximum p-values corresponding to edges and convert to full
p_skeleton_vector = full(p_vector(skeleton_vector_ind));
realizedPower_skeleton_vector = full(realizedPower_vector(skeleton_vector_ind));

t_order = randperm(length(p_skeleton_vector));
t = p_skeleton_vector(t_order);
realizedFpr_t = skeletonrlzdpwr(obj.Skeleton, p, obj.TrueSkeleton, 'Thresholds', t);
assertEqual(realizedFpr_t, realizedPower_skeleton_vector(t_order));

end

end

end