classdef TestSkeletonStatStats < TestCase
%TESTSKELETONRLZDMSRSTATS SKELETONSTATSTATS test cases

properties
    Skeleton
    NumTestsConsidered
end

methods

function obj = TestSkeletonStatStats(name)

obj = obj@TestCase(name);

obj.Skeleton = [ ...
        0 0 1 0 ;
        0 0 1 1 ;
        1 1 0 1 ;
        0 1 1 0 ;
    ];

obj.Skeleton = sparse(obj.Skeleton);
     
obj.NumTestsConsidered = [ ...
        0 0 1 0 ;
        0 0 2 3 ;
        1 2 0 4 ;
        0 3 4 0 ;
    ];

obj.NumTestsConsidered = sparse(obj.NumTestsConsidered);

end

function testtoy(obj)
   
import org.mensxmachina.pgm.*;

meanNumTestsConsidered = skeletonstatstats(obj.Skeleton, obj.NumTestsConsidered);

assertEqual(meanNumTestsConsidered, mean([1 2 3 4]));

meanNumTestsConsidered = skeletonstatstats(obj.Skeleton, obj.NumTestsConsidered, 'mean');

assertEqual(meanNumTestsConsidered, mean([1 2 3 4]));

numTestsConsideredStd = skeletonstatstats(obj.Skeleton, obj.NumTestsConsidered, 'std');

assertEqual(numTestsConsideredStd, std([1 2 3 4]));

end

end

end