classdef TestGaussianBayesianNetwork < TestBayesianNetwork
%TESTGAUSSIANBAYESIANNETWORK GaussianBayesianNetwork class test cases

    methods

    function obj = TestGaussianBayesianNetwork(name)
        
        obj = obj@TestBayesianNetwork(name);
        
        % create an example Gaussian Bayesian Network
          
        G = sparse(4, 4);
        G(1, 2) = 1;
        G(1, 3) = 1;
        G([2 3], 4) = 1;
        
        Param = cell(1, 4);
        Param{1} = struct('mu', 0, 'b', zeros(1, 0), 'sigma', 1);
        Param{2} = struct('mu', 1, 'b', 1, 'sigma', 1);
        Param{3} = struct('mu', 2, 'b', 2, 'sigma', 1);
        Param{4} = struct('mu', 1, 'b', [2 1], 'sigma', 1);
        
        obj.bnet = org.mensxmachina.pgm.GaussianBayesianNetwork(G, Param);
        
    end
    
    end
    
end 
